Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040557
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-09 19:152019-05-21 15:17
ReportershuehnerView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision6a3c5d03c3ef
ProjectionnoneETAnoneTarget Version3.0PR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040557: Remove more obsolete & disabled old aprm code (AddOrderOrInvoice, AddPaymentFrom*, AddTransactions & SelectExpectedPayments)

DescriptionThis is a follow up to issue 35788.

During development of APRM module several windows/popups were created initially using 2.50 style (manual server, html, xmlEngine) technology available at that time.

Later more modern platform replacements came up (i.e. Pick & Execute) and those have been used to re-implement parts of APRM module.

However the old implementations have never been removed and are getting more painful to still have around (bigger refactors, security related bugs).

This issue is to remove the ones which are simplify obsolete and not used.

4 of those came up with some security related bugs recently.
+1 is added here to remove all known obsolete files in org.openbravo.advpaymentmngt module

src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.html
src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromInvoice.html
src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransaction.html
src/org/openbravo/advpaymentmngt/ad_actionbutto/AddPaymentFromTransaction.html
src/org/openbravo/advpaymentmngt/ad_actionbutton/SelectExpectedPayments.html
Note: AddPaymentFromTransaction is used from AddTransaction (but that is also removal candidate here)

Based on some older analysis what could be removed all those are marked as deletion candidate and apparently are just not used.
That should be re-checked when working on this issue to avoid having missed some usage.
Steps To Reproduce./src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.html
referenced from:
not referenced as html
mo: DC6F77826AD54AEF865E47C8FC356143
process: 12016E2EDE0245B5A36B84CBA144DBDF
aka: FIN_AddOrderOrInvoice
not used in AD
DELETION Candidate

./src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromInvoice.html
no html
mo: EF9F7381E3984C6CB7BE705C3BAD3E6C
process: 2EED9BC16DB34D2B80BA40A21564BECF
aka: FIN_AddPaymentFromInvoice
not used in AD
DELETION CANDIDATE

./src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransaction.html
html reference from:
- MatchTransaction -> deletion candidate
- Transactions.html -> deletion candidate
mo: 89313103AC3C4CC0BF080175CE85AEE9
process: E3E92E9F08214507958E6875E66F2F99
aka: FIN_AddTransaction
ad_column: A04179EAC69FF848E040007F01004523
- Name: EM_APRM_AddTransactions
- Description: "Add Transaction From Financial Account (Deprecated)
- NOTE: Not using 'Development Status = DP'
ad_field: A0417A0E9257CA28E040007F01003C18
- Desc + Help -> text reference to 'Deprecated'
- isactive = 'N'
- in window 'Financial Account' -> Tab Account
DELETION CANDIDATE

./src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromTransaction.html
html referenced from:
- ad_actionbutton.AddTransaction -> deletion candidate
mo: 9313D44D9A13480388AD5A55B455EDCB
process: 4A059E4F79294640AD37B1B718C56E5D
aka: FIN_AddPaymentFromTransaction
not used in AD
DELETION CANDIDATE

./src/org/openbravo/advpaymentmngt/ad_actionbutton/SelectExpectedPayments.html
no html reference
mo: 0F3F7B9BC1054B3BAEFC8BC44C55ADF9
process: 62E6270312534380B9A8BDF603CA8FBB
aka: FIN_Proposal_SelectExpectedPayments
not used in AD
DELETION CANDIDATE

Proposed Solution- Double check for each of the above that they are not used in Core + modules
  - Note: that 'usage' can be via several means
  - calling java for those
  - using referencing ad_process, ad_form etc
  - Using URL/html assigned to those above in ad_model_object_mapping

- When deleting all directly related items should be deleted
  java,html,xml files
  ad_process, ad_model_object, ad_model_object_mapping
  Also more indirect references could be there (i.e. old ad_tab,ad_fields,ad_message

- Apart deleting java the java to be deleted should be reviewed once.
  And every call to a method from this file should be checked if it was used
  only here or from other places.
  If some i.e. utility method was only used from this java -> It will be unused after and itself is candidate for deletion.

As a reference list of deleted things in issue 35788 can also serve as a guidance here.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 00357883.0PR19Q3 closedAtulOpenbravo Remove obsolete, disabled & non-working class: org.openbravo.advpaymentmngt.ad_forms.Transactions 
depends on defect 0040688 closedAtulOpenbravo API Change:Remove obsolete and disabled old APRM code 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0111728)
hgbot (developer)
2019-05-16 20:40

Repository: erp/devel/pi
Changeset: 6a3c5d03c3efdcf183887700f8d1627a0507c5ff
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Apr 25 11:02:12 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/6a3c5d03c3efdcf183887700f8d1627a0507c5ff [^]

Fixes Issue 35788, Issue 40557:Remove obsolete & disabled old aprm code

** Exported v3 data set prior to remove form, process access
** Remove AccountsTransaction old tab and its fields
** Remove Form AccountsTransactions, model object, model object mapping
** Remove Transactions.html, Transactions.java, Transactions.xml
** Remove text interfaces related to Transactions.html
** Remove form access from V3Dataset, sample data in FnB Group, QA Testing
** Remove prepareRelationTemplateNoSearch method that was used in
 Transactions.java, Also remove isRelation variable as it was only
 set in prepareRelationTemplateNoSearch and no more used.
** Remove Match Statement, Match Statement Force process, its model object,
model object mapping.
** Remove MatchTransaction.html, MatchTransaction.java, MatchTransaction.xml
and MatchTransactionGrid.srpt, MatchTransactionGrid.xml
** Remove text interfaces for MatchTransaction.html
** Remove unused methods from MatchTransactionDao that were used in
MatchTransction.java
** Remove form access in v3Dataset, FnB International Group, QA Testing
** Remove process AddOrderOrInvoice, model object, its model object mapping
** Remove AddOrderOrInvoice.java, AddOrderOrInvoice.html,
AddOrderOrInvoice.xml
** Remove text interfaces for AddOrderOrInvoice.html
** Remove process access in v3 Dataset, F&B International Group, QA Testing
** Remove process AddPaymentFromInvoice, model object, model object mapping
** Remove text interfaces for AddPaymentFromInvoice.html
** Remove AddPaymentFromInvoice.java, AddPaymentFromInvoice.html,
AddPaymentFromInvoice.xml, AddPaymentGrid.xml, AddPaymentGrid.srpt
** Remove process access in v3 Dataset, F&B International Group, QA Testing
** Remove process AddPaymentFromTransaction, model object & its mapping
** Remove AddPaymentFromTransaction.html, AddPaymentFromTransaction.java,
AddPaymentFromTransaction.xml, AddPaymentFromTransactionGrid.srpt,
AddPaymentFromTransactionGrid,xml
** Remove text interfaces for AddPaymentFromTransaction.html
** Remove process access for AddPaymentFromTransaction in QA Testing &
F&B International Group Client
** Remove AddTransaction field, column, process from financial account
window account tab, its model object, model object mapping.
** Remove column from financial account table.
** Remove AddTransaction.html, AddTransaction.java, AddTransaction.xml,
AddTransactionGrid.srpt, AddTransactionGrid.srpt.
** Remove text interfaces for AddTransaction.html, AddTransactionGrid.srpt
** Remove process access in v3Dataset, F&B International Group, QA Testing
** Remove values for removed column from sample data
** Remove process SelectExpectedPayment, its model object & mapping
** Remove SelectExpectedPayments.java, SelectExpectedPayments.html,
SelectExpectedPayments.xml, AddPaymentProposalGrid.srpt,
AddPaymentProposalGrid.xml
** Remove text interfaces for SelectExpectedPayments & Grid
** Remove process access in v3Dataset, F&B International Group, QA Testing
** Remove unused methods in AdvPaymentMngtDao, TransactionsDao,
MatchTransactionDao
** Remove AD_Message for APRM_FATS_* (except APRM_FATS_BPARTNER),
APRM_bpmandatory_creditrefund, APRM_LinesAmountMismatch
** Remove AD_ELEMENT for EM_APRM_ADDTRANSACTIONS column.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/modifiedTables/FIN_FINANCIAL_ACCOUNT.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FORM.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_PROCESS.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/MatchTransactionDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
M modules/org.openbravo.v3.datasets/referencedata/standard/V3_Roles.xml
M modules/org.openbravo.v3.datasets/src-db/database/sourcedata/AD_DATASET.xml
M referencedata/sampledata/F_B_International_Group/AD_FORM_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/QA_Testing/AD_FORM_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_PROCESS_ACCESS.xml
M referencedata/sampledata/QA_Testing/FIN_FINANCIAL_ACCOUNT.xml
M src/org/openbravo/erpCommon/utility/DimensionDisplayUtility.java
M src/org/openbravo/erpCommon/utility/ToolBar.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.html
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromInvoice.html
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromInvoice.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromInvoice.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromTransaction.html
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromTransaction.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromTransaction.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromTransactionGrid.srpt
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentFromTransactionGrid.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentGrid.srpt
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentGrid.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentProposalGrid.srpt
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddPaymentProposalGrid.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransaction.html
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransaction.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransaction.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransactionGrid.srpt
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddTransactionGrid.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.html
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransaction.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransactionGrid.srpt
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/MatchTransactionGrid.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/SelectExpectedPayments.html
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/SelectExpectedPayments.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/SelectExpectedPayments.xml
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_forms/Transactions.html
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_forms/Transactions.java
R modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_forms/Transactions.xml
---
(0111731)
hgbot (developer)
2019-05-16 20:40

Repository: erp/devel/pi
Changeset: 7fa78055252e223ea3f4819c5c20609d6f021f9b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Apr 25 14:49:30 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7fa78055252e223ea3f4819c5c20609d6f021f9b [^]

Related To Issue 35788, Issue 40557:Remove obsolete & disabled
old aprm code

**Remove deprecated methods that are not used in core as well
as external modules.
**AdvPaymentMngtDao - getFilteredPaymentMethods
**AdvPaymentMngtDao - getFilteredFinancialAccounts
**AdvPaymentMngtDao - getCustomerCredit
**AdvPaymentMngtDao - getCustomerPaymentsWithCredit
** MatchTransactionDao - getReconciliationPending
** MatchTransactionDao - getReconciliationEndingBalance
** TransactionsDao - process

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/MatchTransactionDao.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
---
(0111735)
hgbot (developer)
2019-05-16 20:41

Repository: erp/devel/pi
Changeset: 147621d18a4d8bc9b415e1d6ad014b8f916b6871
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri May 03 03:07:04 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/147621d18a4d8bc9b415e1d6ad014b8f916b6871 [^]

Related To Issue 35788, Issue 40557: Remove fin_recline_temp table,
its ad elements, ad_message, ad_references, selector,
selector field, validation rule, sample data for fin_recline_temp
in F&B International Group Admin, no sample data exists for QA
testing client

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_REFERENCE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_VAL_RULE.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_TABLE.xml
R referencedata/sampledata/F_B_International_Group/FIN_RECLINE_TEMP.xml
R src-db/database/model/tables/FIN_RECLINE_TEMP.xml
---
(0111754)
vmromanos (developer)
2019-05-17 08:13

Code review OK
(0112036)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112038)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test
(0112042)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-09 19:15 shuehner New Issue
2019-04-09 19:15 shuehner Assigned To => AtulOpenbravo
2019-04-09 19:15 shuehner Modules => Core
2019-04-09 19:15 shuehner Triggers an Emergency Pack => No
2019-04-09 19:16 shuehner Relationship added depends on 0035788
2019-04-09 19:44 shuehner Target Version => 3.0PR19Q3
2019-04-09 19:56 shuehner Relationship added blocks 0032688
2019-04-10 21:25 AtulOpenbravo Status new => scheduled
2019-04-25 19:51 AtulOpenbravo Relationship added depends on 0040688
2019-05-16 12:43 vmromanos Review Assigned To => vmromanos
2019-05-16 20:40 hgbot Checkin
2019-05-16 20:40 hgbot Note Added: 0111728
2019-05-16 20:40 hgbot Checkin
2019-05-16 20:40 hgbot Note Added: 0111731
2019-05-16 20:41 hgbot Checkin
2019-05-16 20:41 hgbot Note Added: 0111735
2019-05-17 08:02 vmromanos Note Added: 0111751
2019-05-17 08:02 vmromanos Status scheduled => resolved
2019-05-17 08:02 vmromanos Fixed in Version => 3.0PR19Q3
2019-05-17 08:02 vmromanos Fixed in SCM revision => 6a3c5d03c3efdcf183887700f8d1627a0507c5ff
2019-05-17 08:02 vmromanos Resolution open => fixed
2019-05-17 08:09 vmromanos Fixed in SCM revision 6a3c5d03c3efdcf183887700f8d1627a0507c5ff => http://code.openbravo.com/erp/devel/pi/rev/6a3c5d03c3efdcf183887700f8d1627a0507c5ff [^]
2019-05-17 08:13 vmromanos Note Added: 0111754
2019-05-17 08:13 vmromanos Status resolved => closed
2019-05-17 08:14 vmromanos Note Deleted: 0111751
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112036
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112038
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112042


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker